adds workflow scm checkin method

TODO: add method to sample class

diff -ur orig/htdocs/scm_ping.php ../htdocs/scm_ping.php
--- orig/htdocs/scm_ping.php	2005-06-21 22:18:35.000000000 +0300
+++ ../scm_ping.php	2005-06-23 18:36:06.170938994 +0300
@@ -30,13 +30,28 @@
 include_once("/etc/eventum/core.php");
 include_once(APP_INC_PATH . "class.misc.php");
 include_once(APP_INC_PATH . "class.scm.php");
+include_once(APP_INC_PATH . "class.workflow.php");
 include_once(APP_INC_PATH . "db_access.php");
 
-$HTTP_GET_VARS = Misc::array_map_deep($HTTP_GET_VARS, "base64_decode");
+$HTTP_GET_VARS = Misc::array_map_deep($HTTP_GET_VARS, 'base64_decode');
 
-for ($i = 0; $i < count($HTTP_GET_VARS["issue"]); $i++) {
-    for ($y = 0; $y < count($HTTP_GET_VARS["files"]); $y++) {
-        SCM::logCheckin($HTTP_GET_VARS["issue"][$i], $y);
+foreach ($HTTP_GET_VARS['issue'] as $issue_id) {
+    $files = array();
+    for ($y = 0; $y < count($HTTP_GET_VARS['files']); $y++) {
+        SCM::logCheckin($issue_id, $y);
+
+        $files[] = array(
+            'file' => $HTTP_GET_VARS['files'][$y],
+            'old_version' => $HTTP_GET_VARS['old_versions'][$y],
+            'new_version' => $HTTP_GET_VARS['new_versions'][$y],
+        );
     }
+
+    $prj_id = Issue::getProjectID($issue_id);
+    $module = $HTTP_GET_VARS['module'];
+    $username = $HTTP_GET_VARS['username'];
+    $commit_msg = $HTTP_GET_VARS['commit_msg'];
+
+    Workflow::handleSCMcheckins($prj_id, $issue_id, $module, $files, $username, $commit_msg);
 }
-?>
\ No newline at end of file
+?>
diff -ur orig/include/class.workflow.php ../include/class.workflow.php
--- orig/include/class.workflow.php	2005-06-21 22:18:35.000000000 +0300
+++ ../include/class.workflow.php	2005-06-23 18:40:42.550517996 +0300
@@ -365,7 +365,27 @@
         $backend =& Workflow::_getBackend($prj_id);
         return $backend->handleSubscription($prj_id, $issue_id, $subscriber_usr_id, $email, $types);
     }
+
+    /**
+     * Called when SCM checkin is associated.
+     * 
+     * @param   integer $prj_id The project ID.
+     * @param   integer $issue_id The ID of the issue.
+     * @param   string $module The SCM module commit was made.
+     * @param   array $files File list with their version numbers changes made on.
+     * @param   string $username SCM user doing the checkin.
+     * @param   string $commit_msg Message associated with the SCM commit.
+     * @return  void
+     */
+    function handleSCMcheckins($prj_id, $issue_id, $module, $files, $username, $commit_msg)
+    {
+        if (!Workflow::hasWorkflowIntegration($prj_id)) {
+            return;
+        }
+        $backend =& Workflow::_getBackend($prj_id);
+        return $backend->handleSCMcheckins($prj_id, $issue_id, $module, $files, $username, $commit_msg);
+    }
 }
 
 
-?>
\ No newline at end of file
+?>
diff -ur orig/include/workflow/class.abstract_workflow_backend.php ../include/workflow/class.abstract_workflow_backend.php
--- orig/include/workflow/class.abstract_workflow_backend.php	2005-06-21 22:18:34.000000000 +0300
+++ ../include/workflow/class.abstract_workflow_backend.php	2005-06-23 18:41:20.327309610 +0300
@@ -205,5 +205,20 @@
     {
         return true;
     }
+
+    /**
+     * Called when SCM checkin is associated.
+     * 
+     * @param   integer $prj_id The project ID.
+     * @param   integer $issue_id The ID of the issue.
+     * @param   string $module The SCM module commit was made.
+     * @param   array $files File list with their version numbers changes made on.
+     * @param   string $username SCM user doing the checkin.
+     * @param   string $commit_msg Message associated with the SCM commit.
+     * @return  void
+     */
+    function handleSCMcheckins($prj_id, $issue_id, $module, $files, $username, $commit_msg)
+    {
+    }
 }
-?>
\ No newline at end of file
+?>
